Closed Bug 1490576 Opened Last year Closed 5 months ago

Intermittent Error in crashContent(org.mozilla.geckoview.test.crash.CrashTest): test timed out after 60000 milliseconds | org.mozilla.geckoview.test.crash.CrashTest.crashContent | status -2

Categories

(GeckoView :: General, defect, P5)

defect

Tracking

(firefox64 wontfix, firefox65 affected)

RESOLVED WORKSFORME
mozilla65
Tracking Status
firefox64 --- wontfix
firefox65 --- affected

People

(Reporter: intermittent-bug-filer, Unassigned)

References

(Blocks 1 open bug)

Details

(Keywords: intermittent-failure, Whiteboard: [retriggered])

Attachments

(2 files)

Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=198788685&repo=autoland

https://queue.taskcluster.net/v1/task/FG52AoTuRaCGs00E3glQUQ/runs/0/artifacts/public/logs/live_backing.log

[task 2018-09-12T04:28:03.521Z] 04:28:03     INFO -  TEST-START | org.mozilla.geckoview.test.crash.CrashTest.crashContent
[task 2018-09-12T04:29:03.667Z] 04:29:03     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-09-12T04:29:03.667Z] 04:29:03     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=5
[task 2018-09-12T04:29:03.667Z] 04:29:03     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.crash.CrashTest
[task 2018-09-12T04:29:03.668Z] 04:29:03     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-09-12T04:29:03.668Z] 04:29:03     INFO -  org.mozilla.geckoview.test | Error in crashContent(org.mozilla.geckoview.test.crash.CrashTest):
[task 2018-09-12T04:29:03.668Z] 04:29:03     INFO -  org.mozilla.geckoview.test | org.junit.runners.model.TestTimedOutException: test timed out after 60000 milliseconds
[task 2018-09-12T04:29:03.668Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.Object.wait(Native Method)
[task 2018-09-12T04:29:03.668Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.parkFor(Thread.java:1205)
[task 2018-09-12T04:29:03.668Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at sun.misc.Unsafe.park(Unsafe.java:325)
[task 2018-09-12T04:29:03.668Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
[task 2018-09-12T04:29:03.668Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:427)
[task 2018-09-12T04:29:03.669Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:329)
[task 2018-09-12T04:29:03.670Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue.take(SynchronousQueue.java:894)
[task 2018-09-12T04:29:03.670Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.crash.CrashTest.crashContent(CrashTest.kt:88)
[task 2018-09-12T04:29:03.671Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-09-12T04:29:03.671Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-09-12T04:29:03.672Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-09-12T04:29:03.672Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-09-12T04:29:03.673Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-09-12T04:29:03.674Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-09-12T04:29:03.674Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-09-12T04:29:03.675Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at android.support.test.rule.ServiceTestRule$ServiceStatement.evaluate(ServiceTestRule.java:344)
[task 2018-09-12T04:29:03.675Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:298)
[task 2018-09-12T04:29:03.676Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:292)
[task 2018-09-12T04:29:03.676Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.FutureTask.run(FutureTask.java:234)
[task 2018-09-12T04:29:03.677Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.run(Thread.java:841)
[task 2018-09-12T04:29:03.677Z] 04:29:03     INFO -  org.mozilla.geckoview.test |
[task 2018-09-12T04:29:03.677Z] 04:29:03     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=67
[task 2018-09-12T04:29:03.678Z] 04:29:03     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=org.junit.runners.model.TestTimedOutException: test timed out after 60000 milliseconds
[task 2018-09-12T04:29:03.678Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.Object.wait(Native Method)
[task 2018-09-12T04:29:03.679Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.parkFor(Thread.java:1205)
[task 2018-09-12T04:29:03.679Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at sun.misc.Unsafe.park(Unsafe.java:325)
[task 2018-09-12T04:29:03.680Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
[task 2018-09-12T04:29:03.681Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:427)
[task 2018-09-12T04:29:03.681Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:329)
[task 2018-09-12T04:29:03.681Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue.take(SynchronousQueue.java:894)
[task 2018-09-12T04:29:03.682Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.crash.CrashTest.crashContent(CrashTest.kt:88)
[task 2018-09-12T04:29:03.682Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-09-12T04:29:03.683Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-09-12T04:29:03.684Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-09-12T04:29:03.684Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-09-12T04:29:03.684Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-09-12T04:29:03.684Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-09-12T04:29:03.684Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-09-12T04:29:03.685Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at android.support.test.rule.ServiceTestRule$ServiceStatement.evaluate(ServiceTestRule.java:344)
[task 2018-09-12T04:29:03.685Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:298)
[task 2018-09-12T04:29:03.686Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:292)
[task 2018-09-12T04:29:03.686Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.FutureTask.run(FutureTask.java:234)
[task 2018-09-12T04:29:03.687Z] 04:29:03     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.run(Thread.java:841)
[task 2018-09-12T04:29:03.687Z] 04:29:03     INFO -  org.mozilla.geckoview.test |
[task 2018-09-12T04:29:03.688Z] 04:29:03     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=crashContent
[task 2018-09-12T04:29:03.688Z] 04:29:03     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2018-09-12T04:29:03.688Z] 04:29:03  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.crash.CrashTest.crashContent | status -2
[task 2018-09-12T04:29:03.689Z] 04:29:03     INFO -  TEST-INFO took 60152ms
Component: Testing → GeckoView
I can't :( All I did was re-adding the observers. Something we had before already working. What's more, this code should not run in GeckoView model at all? I don't see how it would end up affecting it. Is there a chance it's not the right bug?

If it is, Mossop - any idea why an observer on localization would cause such crash in GeckoView?
Flags: needinfo?(gandalf) → needinfo?(dtownsend)
According to Comment 2, this was retriggered.
Whiteboard: [retriggered]
If I'm reading the log right this isn't a crash but a timeout waiting to receive a notification that the content crashes. I have no idea why the change would cause this :(
Flags: needinfo?(dtownsend)
This bug has failed 50 times in the last 7 days. Occurs on android-em-4-3-armv7-api16-ccov on debug.

Recent log:
https://treeherder.mozilla.org/logviewer.html#?job_id=202061424&repo=mozilla-central&lineNumber=1442

INFO -  TEST-START | org.mozilla.geckoview.test.crash.CrashTest.crashContent
[task 2018-09-27T22:03:30.354Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-09-27T22:03:30.355Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=5
[task 2018-09-27T22:03:30.355Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.crash.CrashTest
[task 2018-09-27T22:03:30.355Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-09-27T22:03:30.355Z] 22:03:30     INFO -  org.mozilla.geckoview.test | Error in crashContent(org.mozilla.geckoview.test.crash.CrashTest):
[task 2018-09-27T22:03:30.355Z] 22:03:30     INFO -  org.mozilla.geckoview.test | org.junit.runners.model.TestTimedOutException: test timed out after 60000 milliseconds
[task 2018-09-27T22:03:30.355Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.Object.wait(Native Method)
[task 2018-09-27T22:03:30.355Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.parkFor(Thread.java:1205)
[task 2018-09-27T22:03:30.356Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at sun.misc.Unsafe.park(Unsafe.java:325)
[task 2018-09-27T22:03:30.357Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
[task 2018-09-27T22:03:30.357Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:427)
[task 2018-09-27T22:03:30.358Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:329)
[task 2018-09-27T22:03:30.359Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue.take(SynchronousQueue.java:894)
[task 2018-09-27T22:03:30.360Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.crash.CrashTest.crashContent(CrashTest.kt:88)
[task 2018-09-27T22:03:30.360Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-09-27T22:03:30.361Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-09-27T22:03:30.362Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-09-27T22:03:30.363Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-09-27T22:03:30.364Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-09-27T22:03:30.365Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-09-27T22:03:30.366Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-09-27T22:03:30.366Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at android.support.test.rule.ServiceTestRule$ServiceStatement.evaluate(ServiceTestRule.java:344)
[task 2018-09-27T22:03:30.368Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:298)
[task 2018-09-27T22:03:30.368Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:292)
[task 2018-09-27T22:03:30.369Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.FutureTask.run(FutureTask.java:234)
[task 2018-09-27T22:03:30.370Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.run(Thread.java:841)
[task 2018-09-27T22:03:30.370Z] 22:03:30     INFO -  org.mozilla.geckoview.test |
[task 2018-09-27T22:03:30.371Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=74
[task 2018-09-27T22:03:30.457Z] 22:03:30     INFO -  org.mozilla.geckoview.test |
[task 2018-09-27T22:03:30.458Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=org.junit.runners.model.TestTimedOutException: test timed out after 60000 milliseconds
[task 2018-09-27T22:03:30.459Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.Object.wait(Native Method)
[task 2018-09-27T22:03:30.461Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.parkFor(Thread.java:1205)
[task 2018-09-27T22:03:30.462Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at sun.misc.Unsafe.park(Unsafe.java:325)
[task 2018-09-27T22:03:30.464Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:159)
[task 2018-09-27T22:03:30.465Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:427)
[task 2018-09-27T22:03:30.467Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:329)
[task 2018-09-27T22:03:30.467Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue.take(SynchronousQueue.java:894)
[task 2018-09-27T22:03:30.468Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.crash.CrashTest.crashContent(CrashTest.kt:88)
[task 2018-09-27T22:03:30.468Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invokeNative(Native Method)
[task 2018-09-27T22:03:30.468Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Method.java:525)
[task 2018-09-27T22:03:30.469Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-09-27T22:03:30.469Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-09-27T22:03:30.470Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-09-27T22:03:30.470Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-09-27T22:03:30.472Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-09-27T22:03:30.473Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at android.support.test.rule.ServiceTestRule$ServiceStatement.evaluate(ServiceTestRule.java:344)
[task 2018-09-27T22:03:30.475Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:298)
[task 2018-09-27T22:03:30.476Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:292)
[task 2018-09-27T22:03:30.477Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.FutureTask.run(FutureTask.java:234)
[task 2018-09-27T22:03:30.478Z] 22:03:30     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.run(Thread.java:841)
[task 2018-09-27T22:03:30.479Z] 22:03:30     INFO -  org.mozilla.geckoview.test |
[task 2018-09-27T22:03:30.481Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=crashContent
[task 2018-09-27T22:03:30.482Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2018-09-27T22:03:30.483Z] 22:03:30  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.crash.CrashTest.crashContent | status -2
[task 2018-09-27T22:03:30.484Z] 22:03:30     INFO -  TEST-INFO took 60135ms
[task 2018-09-27T22:03:30.562Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-09-27T22:03:30.563Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=6
[task 2018-09-27T22:03:30.566Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.AccessibilityTest
[task 2018-09-27T22:03:30.566Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-09-27T22:03:30.566Z] 22:03:30     INFO -  org.mozilla.geckoview.test | org.mozilla.geckoview.test.AccessibilityTest:
[task 2018-09-27T22:03:30.567Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=74
[task 2018-09-27T22:03:30.567Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=testRootNode
[task 2018-09-27T22:03:30.567Z] 22:03:30     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1
[task 2018-09-27T22:03:30.568Z] 22:03:30     INFO -  TEST-START | org.mozilla.geckoview.test.AccessibilityTest.testRootNode
[task 2018-09-27T22:04:39.812Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-09-27T22:04:39.814Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=6
[task 2018-09-27T22:04:39.815Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.AccessibilityTest
[task 2018-09-27T22:04:39.816Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=.
[task 2018-09-27T22:04:39.816Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=74
[task 2018-09-27T22:04:39.816Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=testRootNode
[task 2018-09-27T22:04:39.816Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 0
[task 2018-09-27T22:04:39.817Z] 22:04:39     INFO -  TEST-PASS | org.mozilla.geckoview.test.AccessibilityTest.testRootNode | took 69249ms
[task 2018-09-27T22:04:39.817Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-09-27T22:04:39.817Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=7
[task 2018-09-27T22:04:39.914Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.AccessibilityTest
[task 2018-09-27T22:04:39.915Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-09-27T22:04:39.916Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=74
[task 2018-09-27T22:04:39.916Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=testMoveByWord
[task 2018-09-27T22:04:39.916Z] 22:04:39     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 1
[task 2018-09-27T22:04:39.916Z] 22:04:39     INFO -  TEST-START | org.mozilla.geckoview.test.AccessibilityTest.testMoveByWord
[task 2018-09-27T22:04:55.448Z] 22:04:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-09-27T22:04:55.449Z] 22:04:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=7
[task 2018-09-27T22:04:55.450Z] 22:04:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.AccessibilityTest
[task 2018-09-27T22:04:55.451Z] 22:04:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=.
[task 2018-09-27T22:04:55.451Z] 22:04:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=74
[task 2018-09-27T22:04:55.451Z] 22:04:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=testMoveByWord
[task 2018-09-27T22:04:55.451Z] 22:04:55     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: 0
[task 2018-09-27T22:04:55.452Z] 22:04:55     INFO -  TEST-PASS | org.mozilla.geckoview.test.AccessibilityTest.testMoveByWord | took 15535ms

jchen: Can you please take a look at this bug?
Flags: needinfo?(nchen)
Whiteboard: [retriggered] → [retriggered][stockwell needswork]
Assignee: nobody → nchen
Status: NEW → ASSIGNED
Flags: needinfo?(nchen)
The tests seem to run normally, but the timeout is likely too short to
allow the tests to finish.
Attachment #9013824 - Flags: review+
Pushed by nchen@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/d58d7c5153c3
Increase CrashTest timeout under ARM emulator; r=me
This is still failing frequently on the (unsheriffed) x86 emulator tests. I see "status -2" there, rather than the timeout.
(In reply to Geoff Brown [:gbrown] from comment #15)
> This is still failing frequently on the (unsheriffed) x86 emulator tests. I
> see "status -2" there, rather than the timeout.

Those failures continue -- pretty much perma-fail now.

https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&tier=1%2C2%2C3&searchStr=android%2Cx86%2Cjunit

https://treeherder.mozilla.org/logviewer.html#?job_id=207581048&repo=mozilla-central&lineNumber=7987

[task 2018-10-24T17:52:04.938Z] 17:52:04     INFO -  TEST-START | org.mozilla.geckoview.test.crash.CrashTest.crashContent
[task 2018-10-24T17:52:34.988Z] 17:52:34     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: numtests=373
[task 2018-10-24T17:52:34.988Z] 17:52:34     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stream=
[task 2018-10-24T17:52:34.988Z] 17:52:34     INFO -  org.mozilla.geckoview.test | Error in crashContent(org.mozilla.geckoview.test.crash.CrashTest):
[task 2018-10-24T17:52:34.988Z] 17:52:34     INFO -  org.mozilla.geckoview.test | org.junit.runners.model.TestTimedOutException: test timed out after 30000 milliseconds
[task 2018-10-24T17:52:34.988Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.lang.Object.wait(Native Method)
[task 2018-10-24T17:52:34.989Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.parkFor$(Thread.java:2127)
[task 2018-10-24T17:52:34.989Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at sun.misc.Unsafe.park(Unsafe.java:325)
[task 2018-10-24T17:52:34.989Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:161)
[task 2018-10-24T17:52:34.989Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:430)
[task 2018-10-24T17:52:34.989Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:333)
[task 2018-10-24T17:52:34.989Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue.take(SynchronousQueue.java:891)
[task 2018-10-24T17:52:34.989Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.crash.CrashTest.crashContent(CrashTest.kt:88)
[task 2018-10-24T17:52:34.990Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Native Method)
[task 2018-10-24T17:52:34.990Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-10-24T17:52:34.990Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-10-24T17:52:34.990Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-10-24T17:52:34.990Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-10-24T17:52:34.990Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-10-24T17:52:34.991Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at android.support.test.rule.ServiceTestRule$ServiceStatement.evaluate(ServiceTestRule.java:344)
[task 2018-10-24T17:52:34.991Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:298)
[task 2018-10-24T17:52:34.991Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:292)
[task 2018-10-24T17:52:34.991Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.FutureTask.run(FutureTask.java:237)
[task 2018-10-24T17:52:34.991Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.run(Thread.java:761)
[task 2018-10-24T17:52:34.991Z] 17:52:34     INFO -  org.mozilla.geckoview.test |
[task 2018-10-24T17:52:34.992Z] 17:52:34     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: id=AndroidJUnitRunner
[task 2018-10-24T17:52:34.992Z] 17:52:34     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: test=crashContent
[task 2018-10-24T17:52:34.992Z] 17:52:34     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: class=org.mozilla.geckoview.test.crash.CrashTest
[task 2018-10-24T17:52:34.992Z] 17:52:34     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=org.junit.runners.model.TestTimedOutException: test timed out after 30000 milliseconds
[task 2018-10-24T17:52:34.992Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.lang.Object.wait(Native Method)
[task 2018-10-24T17:52:34.992Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.parkFor$(Thread.java:2127)
[task 2018-10-24T17:52:34.992Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at sun.misc.Unsafe.park(Unsafe.java:325)
[task 2018-10-24T17:52:34.993Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.locks.LockSupport.park(LockSupport.java:161)
[task 2018-10-24T17:52:34.993Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:430)
[task 2018-10-24T17:52:34.993Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:333)
[task 2018-10-24T17:52:34.993Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.SynchronousQueue.take(SynchronousQueue.java:891)
[task 2018-10-24T17:52:34.993Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.mozilla.geckoview.test.crash.CrashTest.crashContent(CrashTest.kt:88)
[task 2018-10-24T17:52:34.993Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.lang.reflect.Method.invoke(Native Method)
[task 2018-10-24T17:52:34.994Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
[task 2018-10-24T17:52:34.994Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[task 2018-10-24T17:52:34.994Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
[task 2018-10-24T17:52:34.994Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[task 2018-10-24T17:52:34.994Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at android.support.test.internal.runner.junit4.statement.RunBefores.evaluate(RunBefores.java:80)
[task 2018-10-24T17:52:34.994Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at android.support.test.rule.ServiceTestRule$ServiceStatement.evaluate(ServiceTestRule.java:344)
[task 2018-10-24T17:52:34.995Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:298)
[task 2018-10-24T17:52:34.995Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at org.junit.internal.runners.statements.FailOnTimeout$CallableStatement.call(FailOnTimeout.java:292)
[task 2018-10-24T17:52:34.995Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.util.concurrent.FutureTask.run(FutureTask.java:237)
[task 2018-10-24T17:52:34.995Z] 17:52:34     INFO -  org.mozilla.geckoview.test | 	at java.lang.Thread.run(Thread.java:761)
[task 2018-10-24T17:52:34.995Z] 17:52:34     INFO -  org.mozilla.geckoview.test |
[task 2018-10-24T17:52:34.995Z] 17:52:34     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: current=373
[task 2018-10-24T17:52:34.996Z] 17:52:34     INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS_CODE: -2
[task 2018-10-24T17:52:34.996Z] 17:52:34  WARNING -  TEST-UNEXPECTED-FAIL | org.mozilla.geckoview.test.crash.CrashTest.crashContent | status -2
[task 2018-10-24T17:52:34.996Z] 17:52:34     INFO -  TEST-INFO took 30053ms
Whiteboard: [retriggered][stockwell disable-recommended] → [retriggered]
It appears the original intermittent "crashContent" failures caused by short timeout were fixed on ARM. To fix the test for x86, we need a larger timeout for x86 as well.

The current AccessibilityTest failures (infrequent on ARM but very frequent on x86) are being worked on separately in bug 1501807, bug 1502087, and bug 1502201).
Status: ASSIGNED → RESOLVED
Closed: 11 months ago
Resolution: --- → FIXED
The tests seem to run normally, but the timeout is likely too short to
allow the tests to finish.
Pushed by nchen@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/1c5256abc5b8
2. Increase CrashTest timeout under x86 emulator; r=me
Nice try, but it still fails with the 90s timeout:

https://treeherder.mozilla.org/logviewer.html#?job_id=207906412&repo=mozilla-inbound&lineNumber=7966

INFO -  org.mozilla.geckoview.test | INSTRUMENTATION_STATUS: stack=org.junit.runners.model.TestTimedOutException: test timed out after 90000 milliseconds
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
https://hg.mozilla.org/mozilla-central/rev/1c5256abc5b8
Status: REOPENED → RESOLVED
Closed: 11 months ago11 months ago
Resolution: --- → FIXED
Target Milestone: --- → Firefox 65
See comment 21.
Status: RESOLVED → REOPENED
Flags: needinfo?(nchen)
Resolution: FIXED → ---
64=wontfix because we don't need to uplift this fix for Focus 8.0's GV 64 beta test
Assignee: nchen → nobody
Flags: needinfo?(nchen)
Product: Firefox for Android → GeckoView
Target Milestone: Firefox 65 → mozilla65

Resolving as WFM because there have no reported failures in the last five weeks.

Status: REOPENED → RESOLVED
Closed: 11 months ago5 months ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.